ServerEvents.recipes(event => {
  event.remove({output: 'minecraft:furnace'})
  event.remove({input: '#alltheores:ore_hammers'})
  event.remove({output: '#alltheores:ore_hammers'})
  event.remove({id: 'endrem:witch_eye'})
  event.remove({id: 'endrem:undead_eye'})
  event.remove({id: 'endrem:exotic_eye'})
  event.remove({id: 'endrem:exotic_eye'})
  event.remove({id: 'ad_astra:recipes/iron_rod'})
  event.remove({id: 'silentgear:iron_rod'})
  event.remove({id: 'alltheores:brass_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:bronze_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:electrum_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:invar_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:constantan_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:signalum_dust_from_alloy_blending'})
  event.remove({id: 'alltheores:lumium_dust_from_alloy_blending'})
  event.remove({id: 'thermal:enderium_dust_2'})
  event.remove({id: 'thermal:lumium_dust_4'})
  event.remove({id: 'thermal:signalum_dust_4'})
  event.remove({id: 'thermal:fire_charge/lumium_ingot_4'})
  event.remove({id: 'thermal:fire_charge/constantan_ingot_2'})
  event.remove({id: 'thermal:fire_charge/invar_ingot_3'})
  event.remove({id: 'thermal:fire_charge/enderium_ingot_2'})
  event.remove({id: 'thermal:fire_charge/electrum_ingot_2'})
  event.remove({id: 'thermal:fire_charge/bronze_ingot_4'})
  event.remove({id: 'thermal:fire_charge/signalum_ingot_4'})
  event.remove({output: 'irongenerators:netherrack_generator'})
  event.remove({output: 'irongenerators:quartz_enriched_iron_generator'})
  event.remove({output: 'irongenerators:invar_generator'})
  event.remove({output: 'irongenerators:signalum_generator'})
  event.remove({output: 'irongenerators:enderium_generator'})
  event.remove({output: 'irongenerators:dirt_generator'})
  event.remove({output: 'irongenerators:uranium_generator'})
  event.remove({output: 'irongenerators:platin_generator'})
  event.remove({output: 'irongenerators:certus_quartz_generator'})
  event.remove({output: 'irongenerators:skystone_generator'})
  event.remove({output: 'irongenerators:tin_generator'})
  event.remove({output: 'irongenerators:steel_generator'})
  event.remove({output: 'irongenerators:refined_obsidian_generator'})
  event.remove({output: 'irongenerators:osmium_generator'})
  event.remove({output: 'irongenerators:lead_generator'})
  event.remove({output: 'irongenerators:copper_generator'})
  event.remove({output: 'irongenerators:bronze_generator'})
  event.remove({id: 'alltheores:aluminum_gear'})
  event.remove({id: 'thermal:parts/lead_gear'})
  event.remove({id: 'thermal:parts/nickel_gear'})
  event.remove({id: 'alltheores:osmium_gear'})
  event.remove({id: 'alltheores:platnium_gear'})
  event.remove({id: 'thermal:parts/silver_gear'})
  event.remove({id: 'thermal:parts/tin_gear'})
  event.remove({id: 'alltheores:uranium_gear'})
  event.remove({id: 'alltheores:zinc_gear'})
  event.remove({id: 'thermal:parts/steel_gear'})
  event.remove({id: 'thermal:parts/invar_gear'})
  event.remove({id: 'thermal:parts/electrum_gear'})
  event.remove({id: 'thermal:parts/bronze_gear'})
  event.remove({id: 'industrialforegoing:iron_gear'})
  event.remove({id: 'thermal:parts/iron_gear'})
  event.remove({id: 'thermal:parts/gold_gear'})
  event.remove({id: 'industrialforegoing:gold_gear'})
  event.remove({id: 'thermal:parts/diamond_gear'})
  event.remove({id: 'industrialforegoing:diamond_gear'})
  event.remove({id: 'thermal:parts/copper_gear'})
  event.remove({id: 'thermal:parts/enderium_gear'})
  event.remove({id: 'thermal:parts/lumium_gear'})
  event.remove({id: 'thermal:parts/signalum_gear'})
  event.remove({id: 'thermal:parts/constantan_gear'})
  event.remove({id: 'alltheores:brass_gear'})
  event.remove({id: 'thermalendergy:prismalium_gear'})
  event.remove({id: 'thermalendergy:melodium_gear'})
  event.remove({id: 'thermalendergy:stellarium_gear'})
  event.remove({id: 'thermal:parts/rose_gold_gear'})
  event.remove({id: 'thermal:parts/netherite_gear'})
  event.remove({id: 'thermal_extra:parts/soul_infused_gear'})
  event.remove({id: 'thermal_extra:parts/shellite_gear'})
  event.remove({id: 'thermal_extra:parts/twinite_gear'})
  event.remove({id: 'thermal_extra:parts/dragonsteel_gear'})
  event.remove({id: 'functionalstorage:oak_drawer_alternate_x1'})
  event.remove({id: 'functionalstorage:oak_drawer_alternate_x2'})
  event.remove({id: 'functionalstorage:oak_drawer_alternate_x4'})
  event.remove({id: 'bhc:god_apple'})
  event.remove({id: 'apotheosis:enchanted_golden_apple'})
  event.remove({id: 'thermal_extra:soul_infused_dust'})
  event.remove({id: 'thermal_extra:shellite_dust'})
  event.remove({id: 'thermal_extra:twinite_dust'})
  event.remove({id: 'thermal_extra:dragonsteel_dust'})
  event.remove({id: 'minecraft:bundle'})
  event.remove({id: 'quark:building/crafting/sturdy_stone'})
  event.remove({id: 'architects_palette:heavy_stone_bricks'})
  event.remove({type: 'create:crushing', mod: 'create' })
  event.remove({type: 'thermal:earth_charge', mod: 'thermal' })
  event.remove({id: 'thermal:parts/quartz_gear'})
  event.remove({id: 'thermal:parts/emerald_gear'})
  event.remove({id: 'thermal:parts/lapis_gear'})
  event.remove({id: 'pneumaticcraft:compressed_iron_gear'})
  event.remove({id: 'allthemodium:unobtainium_gear'})
  event.remove({id: 'allthemodium:allthemodium_gear'})
  event.remove({id: 'allthemodium:vibranium_gear'})
  event.remove({id: 'alltheores:platnium_gear'})
  event.remove({id: 'powah:energizing/allthecompressed/energized_steel/1x'})
  event.remove({id: 'powah:energizing/allthecompressed/energized_steel/2x'})
  event.remove({id: 'powah:energizing/allthecompressed/energized_steel/3x'})
  event.remove({id: 'powah:energizing/allthecompressed/energized_steel/4x'})
  event.remove({id: 'powah:energizing/allthecompressed/energized_steel/5x'})
  event.remove({id: 'powah:energizing/allthecompressed/niotic_crystal/1x'})
  event.remove({id: 'powah:energizing/allthecompressed/niotic_crystal/2x'})
  event.remove({id: 'powah:energizing/allthecompressed/niotic_crystal/3x'})
  event.remove({id: 'powah:energizing/allthecompressed/spitited_crystal/1x'})
  event.remove({id: 'powah:energizing/allthecompressed/spitited_crystal/2x'})
  event.remove({id: 'productivebees:mekanism/oxidizing/honeycomb_wasted_radioactive'})
  event.remove({id: 'dankstorage:1_to_2'})
  event.remove({id: 'dankstorage:2_to_3'})
  event.remove({id: 'dankstorage:3_to_4'})
  event.remove({id: 'dankstorage:4_to_5'})
  event.remove({id: 'dankstorage:5_to_6'})
  event.remove({id: 'dankstorage:6_to_7'})
  event.remove({output: 'extradisks:infinite_storage_disk'})
  event.remove({output: 'extradisks:infinite_storage_part'})
  event.remove({output: 'extradisks:infinite_storage_block'})
  event.remove({output: 'extradisks:infinite_fluid_storage_disk'})
  event.remove({output: 'extradisks:infinite_fluid_storage_part'})
  event.remove({output: 'extradisks:infinite_fluid_storage_block'})
  event.remove({id: 'minecraft:ender_eye'})
  event.remove({id: 'ironfurnaces:rainbow_core'})
  event.remove({id: 'ironfurnaces:rainbow_furnace'})
  event.remove({id: 'ironfurnaces:rainbow_plating'})
  event.remove({id: 'twilightforest:uncrafting_table'})
  event.remove({id: 'miniutilities:ethereal_glass'})
  event.remove({id: 'miniutilities:reverse_ethereal_glass'})
  event.remove({id: 'miniutilities:dark_ethereal_glass'})
  event.remove({id: 'miniutilities:dark_reverse_ethereal_glass'})
  event.remove({id: 'alexscaves:uranium_from_block'})
  event.remove({id: 'alexscaves:uranium_from_shard'})
  event.remove({id: 'alexscaves:block_of_uranium'})
  event.remove({id: 'blocksyouneed_luna:coke_block'})
  event.remove({id: 'blocksyouneed_luna:coke_block_return'})
})